---
title: Packages
---
# The semi-offical [lyp](https://github.com/noteflakes/lyp#readme) package index

## Editorial tools

* [edition-engraver](https://github.com/lyp-packages/edition-engraver) - Editorial tweaking for Lilypond.

## Fonts

* [beethoven](https://github.com/lyp-packages/beethoven) - Beethoven font package.
* [bravura](https://github.com/lyp-packages/bravura) - Bravura SMuFL font for Lilypond.
* [gootville](https://github.com/lyp-packages/gootville) - Gootville SMuFL font for Lilypond (based on Gonville).
* [haydn](https://github.com/lyp-packages/haydn) - Haydn font package.
* [improviso](https://github.com/lyp-packages/improviso) - Improviso font package.
* [lilyjazz](https://github.com/lyp-packages/lilyjazz) - LilyJazz font package.
* [paganini](https://github.com/lyp-packages/paganini) - Paganini font package.
* [profondo](https://github.com/lyp-packages/profondo) - Profondo font package (a non-SMuFL Bravura clone).
* [smufl](https://github.com/lyp-packages/smufl) - Support for SMuFL fonts.

## Frameworks

* [structure](https://github.com/lyp-packages/structure) - A framework for writing big scores in Lilypond (WIP).

## Harmony

* [microlily](https://github.com/lyp-packages/microlily) - Microtonal support for Lilypond.
* [roman-numerals](https://github.com/lyp-packages/roman-numerals) - A package for roman numeral harmonic analysis.

## Instrument-specific notation

* [chtab](https://github.com/lyp-packages/chtab) - Alternative TabStaff algorithm.
* [lilydrum](https://github.com/lyp-packages/lilydrum) - Right-left drum notation (mainly for pipeband snare drumming).

## OpenLilyLib

* [oll-core](https://github.com/lyp-packages/oll-core) - Basic functionality for OpenLilyLib packages.
* [oll-ji](https://github.com/lyp-packages/oll-ji) - Commands for notating music in just notation.

## Special notation

* [frame-engraver](https://github.com/lyp-packages/frame-engraver) - Engrave boxes around notes (for modern notation).
* [pedal-decorations](https://github.com/lyp-packages/pedal-decorations) - Pedal mark decorations for Lilypond.
* [slashed-beams](https://github.com/lyp-packages/slashed-beams) - Slashed beams for Lilypond.

## Support Libraries

* [assert](https://github.com/lyp-packages/assert) - Assertions for Lilypond packages.
* [lys](https://github.com/lyp-packages/lys) - Run Lilypond as a server.
* [svg-metadata](https://github.com/lyp-packages/svg-metadata) - Add metadata to SVG output.

## Tweaking

* [auto-extenders](https://github.com/lyp-packages/auto-extenders) - Automatic lyrics line extenders for Lilypond.
* [merge-rests](https://github.com/lyp-packages/merge-rests) - Rest merging engraver.
* [super-shape-me](https://github.com/lyp-packages/super-shape-me) - Slur & tie tweaking for Lilypond.

## Contributing packages

To add your package to this package directory, see the [lyp index repository](https://github.com/lyp-packages/edition-engraver).
